[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "grogupy"
version = "1.0.0"
authors = [
  { name="Laszlo Oroszlany", email="laszlo.oroszlany@ttk.elte.hu" },
  { name="Daniel Pozsar", email="danielpozsar@student.elte.hu" },
]
description = "Relativistic magnetic interactions from non-orthogonal basis sets"
readme = "README.md"
kewords = [
    "DFT",
    "physics",
    "grogu",
    "magnetic interactions",
    "Siesta"
]
requires-python = ">=3.9"
dependencies = [
  "numpy==1.24.4",
  "scipy",
  "sisl==0.14.3",
  "netcdf4==1.7.2",
  "openmpi",
  "mpi4py",
  "threadpoolctl"
]

classifiers = [
    "Development Status :: 3 - Alpha",
    "Programming Language :: Python",
    "Programming Language :: Python :: 3.9",
    "Programming Language :: Python :: 3 :: Only",
    "Topic :: Scientific/Engineering :: Physics",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent",
]

[project.optional-dependencies]
tqdm = ["tqdm"]

[project.scripts]
grogupy = "grogupy.grogu:main"

[project.urls]
Homepage = "https://gitea.vo.elte.hu/et209d/grogu"
Documentation = "https://gitea.vo.elte.hu/et209d/grogu"
Repository = "https://gitea.vo.elte.hu/et209d/grogu"
Issues = "https://gitea.vo.elte.hu/et209d/grogu"

[tool.pytest.ini_options]
pythonpath = [
  "src/grogupy/"
]
addopts = [
    "--import-mode=importlib",
#    "--cov",
    "--doctest-modules",
]
